#number of samples
B=100000
#number of observations in the samples

n=10
X<-matrix(NA,nrow = B,ncol = n)

for(i in 1:nrow(X)){
  X[i,]<-rnorm(n,mean = 5, sd=2)
}

X_bar<-c()
S2<-c()
for(i in 1:nrow(X)){
  X_bar[i]<-1/n*sum(X[i,])
  S2[i]<-(1/(n-1))*sum((X[i,]-X_bar[i])^2)
}

G<-(X_bar-5)/sqrt(S2/n)


plot(density(G))
curve(dnorm(x), col="red", add=T, lwd=2)

plot(density(G))
curve(dt(x, df=n-1), col="green", add=T, lwd=2)


#By resampling, 95% of times the interval contains the true value 
lower<-c()
upper<-c()

lower<-X_bar-qt(0.975, df=n-1)*sqrt(S2/n)
upper<-X_bar+qt(0.975, df=n-1)*sqrt(S2/n)

count<-c()
for(i in 1:B){
if(lower[i]<5&upper[i]>5) count[i]=1 else count[i]=0
}

sum(count)/B
